POS365.VN APIs

<back to all web services

LedgerS1ADetailGet

Requires Authentication
The following routes are available for this service:
GET/api/ledger/detail/1a
LedgerS1ADetailGet Parameters:
NameParameterData TypeRequiredDescription
PeriodTypequeryPeriodTypeNoLoại kỳ kế toán (1: Monthly, 2: Quarterly). Măc định là Monthly
PeriodYearqueryintYesNăm kế toán (VD: 2026)
PeriodValuequeryintYesGiá trị kỳ (Tháng: 1–12, Quý: 1–4)
IsFullDataqueryboolNoLấy toàn bộ dữ liệu hay chỉ dữ liệu phát sinh (true = full)
ODataReq Parameters:
NameParameterData TypeRequiredDescription
OrderbyformstringNo
SelectformstringNo
FilterformstringNo
Skipformint?No
Topformint?No
PeriodType Enum:
NameValue
Monthly1enum_Monthly
Quarterly2enum_Quarterly
PagingDataSourceV2<T> Parameters:
NameParameterData TypeRequiredDescription
CountformintNo
ResultsformIList<T>No
FilterformObjectNo
ContextformObjectNo
SummaryformObjectNo
TimestampformDateTimeNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /api/ledger/detail/1a HTTP/1.1 
Host: api.pos365.vn 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<PagingDataSourceV2OfanyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/POS.Services">
  <Context />
  <Count>0</Count>
  <Filter />
  <Results xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays" i:nil="true" />
  <Summary />
  <Timestamp>0001-01-01T00:00:00</Timestamp>
</PagingDataSourceV2OfanyType>